
Ruby - Bug #12287

[Backport] r53619: libdir_basename on Windows

04/15/2016 05:49 AM - nobu (Nobuyoshi Nakada)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.1: REQUIRED, 2.2: DONE, 2.3: DONE

Description

Windowsでも32bit/64bit用のライブラリを使い分けるために--with-libdirをバックポートしてください。

Associated revisions

Revision ef5b2914909c2ab47038a5a85c8e022a8b6cfb30 - 04/15/2016 04:22 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 53619,53620,53621,53622,53623,53624,53626,53627: [Backport #12287]

    configure.bat: --with-libdir

    * win32/configure.bat: add --with-libdir option for basename of

 libdir.  on Windows it must be placed under exec_prefix always.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54608 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ef5b2914 - 04/15/2016 04:22 PM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 53619,53620,53621,53622,53623,53624,53626,53627: [Backport #12287]

    configure.bat: --with-libdir

    * win32/configure.bat: add --with-libdir option for basename of

 libdir.  on Windows it must be placed under exec_prefix always.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@54608 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 82e65291b1851895fd2d6eedcf7ed53348e5d2a0 - 04/22/2016 05:33 AM - U.Nakamura 

merge revision(s) 53619,53620,53621,53622,53623,53624,53626,53627: [Backport #12287]

    configure.bat: --with-libdir

    * win32/configure.bat: add --with-libdir option for basename of

 libdir.  on Windows it must be placed under exec_prefix always.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@54674 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 82e65291 - 04/22/2016 05:33 AM - U.Nakamura 

merge revision(s) 53619,53620,53621,53622,53623,53624,53626,53627: [Backport #12287]

    configure.bat: --with-libdir

    * win32/configure.bat: add --with-libdir option for basename of

 libdir.  on Windows it must be placed under exec_prefix always.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@54674 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 04/15/2016 04:22 PM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.1: REQUIRED, 2.2: REQUIRED, 2.3: REQUIRED to 2.1: REQUIRED, 2.2: REQUIRED, 2.3: DONE

ruby_2_3 r54608 merged revision(s) 53619,53620,53621,53622,53623,53624,53626,53627.
#2 - 04/22/2016 05:33 AM - usa (Usaku NAKAMURA)

- Backport changed from 2.1: REQUIRED, 2.2: REQUIRED, 2.3: DONE to 2.1: REQUIRED, 2.2: DONE, 2.3: DONE

ruby_2_2 r54674 merged revision(s) 53619,53620,53621,53622,53623,53624,53626,53627.
